VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmImportMailboxes 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Import/Delete Mailboxes"
   ClientHeight    =   5535
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5775
   Icon            =   "frmImportMailboxes.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5535
   ScaleWidth      =   5775
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete"
      Height          =   375
      Left            =   2280
      TabIndex        =   12
      Top             =   5040
      Width           =   1215
   End
   Begin VB.Frame Info 
      Caption         =   "Info"
      Height          =   3495
      Left            =   120
      TabIndex        =   6
      Top             =   1440
      Width           =   5535
      Begin VB.Label Label7 
         Caption         =   $"frmImportMailboxes.frx":0442
         Height          =   615
         Left            =   120
         TabIndex        =   13
         Top             =   2760
         Width           =   5055
      End
      Begin VB.Label Label6 
         Caption         =   "mailenable,support@mailenable.com,mysecretpassword"
         Height          =   255
         Left            =   120
         TabIndex        =   11
         Top             =   2400
         Width           =   4095
      End
      Begin VB.Label Label5 
         Caption         =   "An example line of an import file would be:"
         Height          =   255
         Left            =   120
         TabIndex        =   10
         Top             =   2040
         Width           =   5055
      End
      Begin VB.Label Label4 
         Caption         =   $"frmImportMailboxes.frx":04D7
         Height          =   855
         Left            =   120
         TabIndex        =   9
         Top             =   1080
         Width           =   5175
      End
      Begin VB.Label Label3 
         Caption         =   "postoffice,emailaddress,password"
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   720
         Width           =   3855
      End
      Begin VB.Label Label2 
         Caption         =   "Import file needs to be a plain comma-delimited  text file with each line formatted as:"
         Height          =   375
         Left            =   120
         TabIndex        =   7
         Top             =   240
         Width           =   5175
      End
   End
   Begin VB.TextBox txtRoot 
      Height          =   285
      Left            =   120
      TabIndex        =   2
      Text            =   "c:\program files\mail enable\POSTOFFICES"
      Top             =   960
      Width           =   5055
   End
   Begin MSComDlg.CommonDialog cd 
      Left            =   5160
      Top             =   720
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdQuit 
      Caption         =   "Quit"
      Height          =   375
      Left            =   4440
      TabIndex        =   4
      Top             =   5040
      Width           =   1215
   End
   Begin VB.CommandButton cmdImport 
      Caption         =   "Import"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   5040
      Width           =   1215
   End
   Begin VB.TextBox txtFile 
      Height          =   405
      Left            =   1440
      TabIndex        =   1
      Top             =   120
      Width           =   3735
   End
   Begin VB.CommandButton cmdSelect 
      Caption         =   "Select File..."
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Root post office directory:"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   720
      Width           =   1815
   End
End
Attribute VB_Name = "frmImportMailboxes"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdDelete_Click()

    Dim lCount As Long
    Dim lAmount As Long
    Dim sAccount As String
    Dim sDestination As String
    Dim oFSO As New FileSystemObject
    Dim oFile As TextStream
    Dim sLine As String
    Dim sEmail As String
    Dim sPostoffice As String
    Dim sDomain As String
    Dim sMailbox As String
    
    On Error GoTo errHandler
    
    Screen.MousePointer = vbHourglass
    
    'some validation
    If Len(Trim$(txtFile.Text)) = 0 Then
        Screen.MousePointer = vbDefault
        MsgBox "Need to select a file that contains the mailboxes to delete.", vbCritical, "Error"
        txtFile.SetFocus
        Exit Sub
    End If
    
    If Not oFSO.FileExists(txtFile.Text) Then
        Screen.MousePointer = vbDefault
        MsgBox "The file selected does not exist. Please select another.", vbCritical, "Error"
        txtFile.SetFocus
        Exit Sub
    End If
    
    If MsgBox("Are you sure you wish to delete the mailbox? All messages for this mailbox will be deleted.", vbYesNo + vbCritical, "Delete") = vbYes Then

    
    'imports with username/password
    'will create a mailbox with one mapping for the domain
    'WARNING - THE POSTOFFICES MUST EXIST
    
    Set oFile = oFSO.OpenTextFile(txtFile.Text, ForReading, False)
    
    'fields -
    '1 - postoffice name
    '2 - email
    '3 - password
    
    'ME works on mailboxname, so we do the following.
    'get the first part of the email, which becomes the mailboxname
    'the domain is created in the postoffice.
    
    While Not oFile.AtEndOfStream
        sLine = oFile.ReadLine
        
        sPostoffice = GetListItem(sLine, ",", 1)
        sEmail = GetListItem(sLine, ",", 2)
        sMailbox = GetListItem(sEmail, "@", 1)
                
        If MailboxExists(sMailbox, sPostoffice) Then
            DeleteMailbox sPostoffice, sMailbox
        End If
        
    Wend
    
    oFile.Close
    
    Screen.MousePointer = vbDefault
    
    MsgBox "Mailboxes deleted.", vbInformation, "Done"
  
    End If
    
    Exit Sub
    
errHandler:
    MsgBox "Error importing:" & Err.Description
    Screen.MousePointer = vbDefault
    
End Sub

Private Sub cmdImport_Click()

    Dim lCount As Long
    Dim lAmount As Long
    Dim sAccount As String
    Dim sDestination As String
    Dim oFSO As New FileSystemObject
    Dim oFile As TextStream
    Dim sLine As String
    Dim sEmail As String
    Dim sPostoffice As String
    Dim sDomain As String
    Dim sMailbox As String
    
    On Error GoTo errHandler
    
    Screen.MousePointer = vbHourglass
    
    'some validation
    If Len(Trim$(txtFile.Text)) = 0 Then
        Screen.MousePointer = vbDefault
        MsgBox "Need to select a file to import.", vbCritical, "Error"
        txtFile.SetFocus
        Exit Sub
    End If
    
    If Not oFSO.FileExists(txtFile.Text) Then
        Screen.MousePointer = vbDefault
        MsgBox "The file selected does not exist. Please select another.", vbCritical, "Error"
        txtFile.SetFocus
        Exit Sub
    End If
    
    
    'imports with username/password
    'will create a mailbox with one mapping for the domain
    'WARNING - THE POSTOFFICES MUST EXIST
    
    Set oFile = oFSO.OpenTextFile(txtFile.Text, ForReading, False)
    
    'fields -
    '1 - postoffice name
    '2 - email
    '3 - password
    
    'ME works on mailboxname, so we do the following.
    'get the first part of the email, which becomes the mailboxname
    'the domain is created in the postoffice.
    
    While Not oFile.AtEndOfStream
        sLine = oFile.ReadLine
        
        sPostoffice = GetListItem(sLine, ",", 1)
        sEmail = GetListItem(sLine, ",", 2)
        sMailbox = GetListItem(sEmail, "@", 1)
        sDomain = GetListItem(sEmail, "@", 2)
        
        If Not DomainExists(sDomain, sPostoffice) Then
            'create the domain
            CreateDomain sDomain, sPostoffice
        End If
        
        If Not MailboxExists(sMailbox, sPostoffice) Then
            CreateMailbox sPostoffice, sMailbox, GetListItem(sLine, ",", 3), -1, txtRoot.Text
        End If
        
        If Not MappingExists(sEmail, sPostoffice) Then
            'only create if it doesn't exist
            CreateMapping "SF", sEmail, sPostoffice, sMailbox
        End If
    
    Wend
    
    oFile.Close
    
    Screen.MousePointer = vbDefault
    
    MsgBox "Mailboxes created.", vbInformation, "Done"
  
    Exit Sub
    
errHandler:
    MsgBox "Error importing:" & Err.Description
    Screen.MousePointer = vbDefault
End Sub



Private Sub cmdQuit_Click()

    Unload Me
    
End Sub

Private Sub cmdSelect_Click()

    cd.ShowOpen
    
    txtFile.Text = cd.FileName
    
End Sub

Private Sub Form_Load()

    Dim sDir As String
    Dim oFSO As New FileSystemObject
    
    'get the root dir
    txtRoot.Text = oFSO.BuildPath(GetMailEnableDirectory(), "Postoffices")
    
End Sub
